Bug 819056 - Review Request: native2ascii-maven-plugin - Native2Ascii Maven Plugin
Review Request: native2ascii-maven-plugin - Native2Ascii Maven Plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 13:15 EDT by gil cattaneo
Modified: 2012-05-26 03:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 19:56:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-04 13:15:56 EDT
Spec URL: http://gil.fedorapeople.org/maven-plugin-native2ascii.spec
SRPM URL: http://gil.fedorapeople.org/maven-plugin-native2ascii-1.0-0.1.beta1.fc16.src.rpm
Description: Converts files with characters in any
supported character encoding to
one with ASCII and/or Unicode escapes.

tested on http://koji.fedoraproject.org/koji/taskinfo?taskID=4053500
Comment 1 Alexander Kurtakov 2012-05-10 02:38:16 EDT
I'll do this one. 
As we try to have package_name==artifactId would you please rename the package to native2ascii-maven-plugin this would also match the upstream name.

Official review will follow once this is fixed.
Comment 3 Alexander Kurtakov 2012-05-10 15:49:04 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint native2ascii-maven-plugin-1.0-0.1.beta1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint native2ascii-maven-plugin-javadoc-1.0-0.1.beta1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint native2ascii-maven-plugin-1.0-0.1.beta1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/akurtakov/tmp/819056/native2ascii-maven-plugin-1.0-beta-1-source-release.zip :
  MD5SUM this package     : 6dce13ca6455ce29f1df147cfc2e51b9
  MD5SUM upstream package : d41d8cd98f00b204e9800998ecf8427e

I have no idea what's going here but if I download from http://repo2.maven.org/maven2/org/codehaus/mojo/native2ascii-maven-plugin/1.0-beta-1/native2ascii-maven-plugin-1.0-beta-1-source-release.zip I get the same md5 as in this package.

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Generated by fedora-review 0.1.3
External plugins:


APPROVED
Comment 4 gil cattaneo 2012-05-11 05:16:08 EDT
New Package SCM Request
=======================
Package Name: native2ascii-maven-plugin
Short Description: Native2Ascii Maven Plugin
Owners: gil
Branches: f16 f17
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2012-05-11 09:03:03 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-11 10:19:24 EDT
native2ascii-maven-plugin-1.0-0.1.beta1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/native2ascii-maven-plugin-1.0-0.1.beta1.fc17
Comment 7 Fedora Update System 2012-05-11 10:40:02 EDT
native2ascii-maven-plugin-1.0-0.1.beta1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/native2ascii-maven-plugin-1.0-0.1.beta1.fc16
Comment 8 Fedora Update System 2012-05-11 17:50:43 EDT
native2ascii-maven-plugin-1.0-0.1.beta1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-05-20 19:56:24 EDT
native2ascii-maven-plugin-1.0-0.1.beta1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-05-26 03:49:35 EDT
native2ascii-maven-plugin-1.0-0.1.beta1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.